<!DOCTYPE html>
<html xmlns:th="http://www.w3.org/1999/xhtml" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    ...
</head>
<body>
<div th:fragment="playedTrack">
    <span th:if="${track == null}">No active client</span>
    <div th:unless="${track == null}">
        <div class="card">
            <div class="card-body">
                <h4>Currently playing at first active client</h4>
                <div class="row">
                    <div class="col-sm">
                       <dl class="row">
                           <dt class="col-sm-3">Video</dt>
                           <dd class="col-sm-9"><span th:text="${track.title}">video1.mp4</span></dd>
                           <dt class="col-sm-3">Video track</dt>
                           <dd class="col-sm-9"><span th:text="${track.displayTrack}">video1.mp4</span></dd>
                           <dt class="col-sm-3">Video set</dt>
                           <dd class="col-sm-9"><span th:text="${track.displaySet}">video1.mp4</span></dd>
                           <dt class="col-sm-3">Length</dt>
                           <dd class="col-sm-9"><span th:text="${track.lengthTimeFormated}">video1.mp4</span></dd>
                       </dl>
                    </div>
                    <div class="col-sm ">
                        <dt class="col-sm-3">Playlist</dt>
                        <ol>
                            <li th:if="${track.playlist.isEmpty()}">Unknown</li>
                            <li  th:classappend="${playTrack.isRunning()} ? font-weight-bolder : ''" th:text="${playTrack.getDisplayTrackName()}" th:each="playTrack : ${track.playlist}" ></li>
                        </ol>

                    </div>
                </div>
                <div class="progress">

                    <div class="progress-bar" role="progressbar" th:style="'width: ' + ${track.getPercentage()} +'%'"
                         aria-valuemin="0"
                         data-th-attr="aria-valuenow=${track.currentTime},
                  aria-valuemax=${track.length}"
                    ><span class="text-left m-1" th:text="${track.currentTimeFormated}">2:00</span></div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>